[android-components](../../index.md) / [mozilla.components.service.glean.private](../index.md) / [BooleanMetricType](index.md) / [set](./set.md)

# set

`fun set(value: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/glean/src/main/java/mozilla/components/service/glean/private/BooleanMetricType.kt#L35)

Set a boolean value.

### Parameters

`value` - This is a user defined boolean value.